package com.chinaitop.depot.intelligent.basicdata.model;

import java.util.Date;

public class TDevData {
    private String id;

    private String vdevcode;

    private String vdevname;

    private String vdevkindcode;

    private String vunit;

    private Integer faddvalue;

    private Integer vinOut;

    private String vzdcode;

    private String vcfcode;

    private String vdevxh;

    private Integer fvalue;

    private Date vvaluetime;

    private Integer vstatue;

    private Date vupdatetime;

    private String vremark;

    /**
     * 系統生成32位随机数保证唯一
     * @return id 系統生成32位随机数保证唯一
     */
    public String getId() {
        return id;
    }

    /**
     * 系統生成32位随机数保证唯一
     * @param id 系統生成32位随机数保证唯一
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 设备编号
     * @return vDevCode 设备编号
     */
    public String getVdevcode() {
        return vdevcode;
    }

    /**
     * 设备编号
     * @param vdevcode 设备编号
     */
    public void setVdevcode(String vdevcode) {
        this.vdevcode = vdevcode == null ? null : vdevcode.trim();
    }

    /**
     * 设备名称
     * @return vDevName 设备名称
     */
    public String getVdevname() {
        return vdevname;
    }

    /**
     * 设备名称
     * @param vdevname 设备名称
     */
    public void setVdevname(String vdevname) {
        this.vdevname = vdevname == null ? null : vdevname.trim();
    }

    /**
     * 类型
     * @return vDevKindCode 类型
     */
    public String getVdevkindcode() {
        return vdevkindcode;
    }

    /**
     * 类型
     * @param vdevkindcode 类型
     */
    public void setVdevkindcode(String vdevkindcode) {
        this.vdevkindcode = vdevkindcode == null ? null : vdevkindcode.trim();
    }

    /**
     * 单位
     * @return vUnit 单位
     */
    public String getVunit() {
        return vunit;
    }

    /**
     * 单位
     * @param vunit 单位
     */
    public void setVunit(String vunit) {
        this.vunit = vunit == null ? null : vunit.trim();
    }

    /**
     * 偏移值
     * @return fAddValue 偏移值
     */
    public Integer getFaddvalue() {
        return faddvalue;
    }

    /**
     * 偏移值
     * @param faddvalue 偏移值
     */
    public void setFaddvalue(Integer faddvalue) {
        this.faddvalue = faddvalue;
    }

    /**
     * 仓内仓外
     * @return vIn_Out 仓内仓外
     */
    public Integer getVinOut() {
        return vinOut;
    }

    /**
     * 仓内仓外
     * @param vinOut 仓内仓外
     */
    public void setVinOut(Integer vinOut) {
        this.vinOut = vinOut;
    }

    /**
     * 所属站点
     * @return vZdCode 所属站点
     */
    public String getVzdcode() {
        return vzdcode;
    }

    /**
     * 所属站点
     * @param vzdcode 所属站点
     */
    public void setVzdcode(String vzdcode) {
        this.vzdcode = vzdcode == null ? null : vzdcode.trim();
    }

    /**
     * 所属仓房
     * @return vCfCode 所属仓房
     */
    public String getVcfcode() {
        return vcfcode;
    }

    /**
     * 所属仓房
     * @param vcfcode 所属仓房
     */
    public void setVcfcode(String vcfcode) {
        this.vcfcode = vcfcode == null ? null : vcfcode.trim();
    }

    /**
     * 通道号（序号）
     * @return vDevXh 通道号（序号）
     */
    public String getVdevxh() {
        return vdevxh;
    }

    /**
     * 通道号（序号）
     * @param vdevxh 通道号（序号）
     */
    public void setVdevxh(String vdevxh) {
        this.vdevxh = vdevxh == null ? null : vdevxh.trim();
    }

    /**
     * 当前值
     * @return fValue 当前值
     */
    public Integer getFvalue() {
        return fvalue;
    }

    /**
     * 当前值
     * @param fvalue 当前值
     */
    public void setFvalue(Integer fvalue) {
        this.fvalue = fvalue;
    }

    /**
     * 值时间
     * @return vValueTime 值时间
     */
    public Date getVvaluetime() {
        return vvaluetime;
    }

    /**
     * 值时间
     * @param vvaluetime 值时间
     */
    public void setVvaluetime(Date vvaluetime) {
        this.vvaluetime = vvaluetime;
    }

    /**
     * 设备状态
     * @return vStatue 设备状态
     */
    public Integer getVstatue() {
        return vstatue;
    }

    /**
     * 设备状态
     * @param vstatue 设备状态
     */
    public void setVstatue(Integer vstatue) {
        this.vstatue = vstatue;
    }

    /**
     * 更新时间
     * @return vUpdatetime 更新时间
     */
    public Date getVupdatetime() {
        return vupdatetime;
    }

    /**
     * 更新时间
     * @param vupdatetime 更新时间
     */
    public void setVupdatetime(Date vupdatetime) {
        this.vupdatetime = vupdatetime;
    }

    /**
     * 备注
     * @return vRemark 备注
     */
    public String getVremark() {
        return vremark;
    }

    /**
     * 备注
     * @param vremark 备注
     */
    public void setVremark(String vremark) {
        this.vremark = vremark == null ? null : vremark.trim();
    }
}